summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMathis Rosenhauer <rosenhauer@dkrz.de>2016-08-29 15:06:49 +0200
committerMathis Rosenhauer <rosenhauer@dkrz.de>2016-08-29 15:06:49 +0200
commit9bfaf0cf0944b178acb2e3782eef2622d61e2d77 (patch)
tree61fd4d872dbe3d5b1fa1f6525a5c5e32c206877e
parent9bd2d0857cdc6375ad7570516f064eb264530378 (diff)
downloadlibaec-9bfaf0cf0944b178acb2e3782eef2622d61e2d77.tar.gz
libaec-9bfaf0cf0944b178acb2e3782eef2622d61e2d77.tar.bz2
libaec-9bfaf0cf0944b178acb2e3782eef2622d61e2d77.zip
Check for unzip
-rwxr-xr-xtests/sampledata.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/tests/sampledata.sh b/tests/sampledata.sh
index 988b7e1..610f5e6 100755
--- a/tests/sampledata.sh
+++ b/tests/sampledata.sh
@@ -9,7 +9,7 @@ archive=121B2TestData.zip
archive_url=http://cwe.ccsds.org/sls/docs/SLS-DC/BB121B2TestData/$archive
if [ ! -f $archive ]; then
type wget >/dev/null 2>&1 || {
- echo >&2 "wget not found. Please download $archive_url by other means and place it in tests. Aborting."
+ echo >&2 "wget not found. Please download $archive_url by other means and place it in tests.\nAborting."
exit 1
}
wget $archive_url || {
@@ -17,6 +17,10 @@ if [ ! -f $archive ]; then
exit 1
}
fi
+type unzip >/dev/null 2>&1 || {
+ echo >&2 "unzip not found. Please install unzip or unpack $archive in tests.\nAborting."
+ exit 1
+}
unzip -oq $archive
filesize () {